<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerAnggota extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        check_not_login();
        if ($this->session->userdata('level') != 1) {
            redirect();
        }
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->library('pdfgenerator');
        $this->load->library('Notifikasi');
        $this->load->model('bagian_owner/insert_model');
        $this->load->model('bagian_owner/select_model');
        $this->load->model('bagian_owner/update_model');
        $this->set_timezone();
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index()
    {
        // NOtifikasi
        $notifikasi_pengajuan = $this->db->get_where('tbl_arisan_pengajuan')->result();
        $jml_pengajuan        = count($notifikasi_pengajuan);
        // End_notifikasi 
        $data_login                = $this->userlogin->user_login('isloggedin');
        $data_id_login             = $this->session->userdata('isloggedin');
        $data_identitas_login      = $this->db->get_where('sistem_login', ['id' => $this->session->userdata('isloggedin')])->row_array();
        $data_identitas_lanjutan   = $this->db->get_where('sistem_identitas', ['login_id' => $this->session->userdata('isloggedin')])->row_array();
        $jabatan                   = $this->db->get_where('sistem_role', ['id' => $data_identitas_login['id_role']])->row_array();
        // echo '<pre>';
        // var_dump($data_identitas_lanjutan);
        // die;
        // Query SQL Data atau isi data page
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'            => 'identitas',
            'page'              => 'index',
            'judul'             => 'Identitas Diri || Bagian Arisan',
            'data_id_login'     => $data_id_login,
            'data_login'        => $data_login,
            'jml_pengajuan'     => $jml_pengajuan,
            // Isi data
            'identitas_login'   => $data_identitas_login,
            'identitas_diri'    => $data_identitas_lanjutan,
            'jabatan'           => $jabatan
        );
        $this->load->view('arisan/index', $data);
    }
    public function detail()
    {
        redirect('arisan');
    }
    // Cek Identitas Anggota Koperasi
    public function anggota($id)
    {
        $notif = $this->notifikasi->notif_owner();
        $data_login       = $this->userlogin->user_login('isloggedin');
        $data_id_login    = $this->session->userdata('isloggedin');
        // Query SQL Data atau isi data page
        $data_pengajuananggota = $this->db->get_where('p_arisan_anggota', ['regist_undian' => $this->encrypt->decode($id)])->row_array();
        if ($data_pengajuananggota > 0) :
            $id_anggota            = $data_pengajuananggota['anggota_id'];
        else :
            $id_anggota            = $this->encrypt->decode($id);
        endif;
        $data_identitas            = $this->select_model->getDataIdentitasAnggota($id_anggota);
        $produk_arisanheboh_aktif  = $this->select_model->getDataProdukAHA($id_anggota);
        $produk_arisanheboh_pasif  = $this->select_model->getDataProdukAHP($id_anggota);
        $produk_arisanmotor_aktif  = $this->select_model->getDataProdukAMA($id_anggota);
        $produk_arisanmotor_pasif  = $this->select_model->getDataProdukAMP($id_anggota);
        $jml_heboh_aktif           = count($produk_arisanheboh_aktif);
        $jml_motor_aktif           = count($produk_arisanmotor_aktif);
        $jml_heboh_pasif           = count($produk_arisanheboh_pasif);
        $jml_motor_pasif           = count($produk_arisanmotor_pasif);
        $data_nomor_cadangan       = $this->db->get_where('anggota_hp_cadangan', ['anggota_id' => $id_anggota])->result();
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'            => 'identitas',
            'page'              => 'anggota',
            'judul'             => 'Data Identitas Anggota Arisan || Bagian Arisan',
            'data_id_login'     => $data_id_login,
            'data_login'        => $data_login,
            'notif'               => $notif,
            // Isi data
            'data_anggota'      => $data_identitas,
            'heboh_aktif'       => $jml_heboh_aktif,
            'motor_aktif'       => $jml_motor_aktif,
            'heboh_pasif'       => $jml_heboh_pasif,
            'motor_pasif'       => $jml_motor_pasif,
            'a_arisanheboh'     => $produk_arisanheboh_aktif,
            'a_arisanmotor'     => $produk_arisanmotor_aktif,
            'p_arisanheboh'     => $produk_arisanheboh_pasif,
            'p_arisanmotor'     => $produk_arisanmotor_pasif,
            'anggota_id'        => $id_anggota,
            'nomor_cadangan'    => $data_nomor_cadangan
        );
        $this->load->view('owner/index', $data);
    }
    public function anggota_detail($id)
    {
        // NOtifikasi
        $notif                      = $this->notifikasi->notif_owner();
        $data_login                 = $this->userlogin->user_login('isloggedin');
        $data_id_login              = $this->session->userdata('isloggedin');
        // End Notifikasi
        $data_kotkab               = $this->select_model->vd_kotkab();
        // End_notifikasi 
        $data_login       = $this->userlogin->user_login('isloggedin');
        $data_id_login    = $this->session->userdata('isloggedin');
        // Query SQL Data atau isi data page
        $data_pengajuananggota = $this->db->get_where('p_arisan_anggota', ['regist_undian' => $this->encrypt->decode($id)])->row_array();
        if ($data_pengajuananggota > 0) :
            $id_anggota            = $data_pengajuananggota['anggota_id'];
        else :
            $id_anggota            = $this->encrypt->decode($id);
        endif;
        $data_identitas            = $this->select_model->getDataIdentitasAnggota($id_anggota);
        $data_identitas_keluarga   = $this->select_model->getDataIdentitasAnggotaKeluarga($id_anggota);
        $produk_arisanheboh_aktif  = $this->select_model->getDataProdukAHA($id_anggota);
        $produk_arisanheboh_pasif  = $this->select_model->getDataProdukAHP($id_anggota);
        $produk_arisanmotor_aktif  = $this->select_model->getDataProdukAMA($id_anggota);
        $produk_arisanmotor_pasif  = $this->select_model->getDataProdukAMP($id_anggota);
        $jml_heboh_aktif           = count($produk_arisanheboh_aktif);
        $jml_motor_aktif           = count($produk_arisanmotor_aktif);
        $jml_heboh_pasif           = count($produk_arisanheboh_pasif);
        $jml_motor_pasif           = count($produk_arisanmotor_pasif);
        $data_nomor_cadangan       = $this->db->get_where('anggota_hp_cadangan', ['anggota_id' => $id_anggota])->result();
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'            => 'identitas/anggota',
            'page'              => 'index',
            'judul'             => 'Data Identitas Anggota Koperasi || Bagian Pengurus',
            'data_id_login'     => $data_id_login,
            'data_login'        => $data_login,
            'notif'             => $notif,
            'data_kota'         => $data_kotkab,
            // Isi data
            'data_anggota'      => $data_identitas,
            'data_keluarga'     => $data_identitas_keluarga,
            'heboh_aktif'       => $jml_heboh_aktif,
            'motor_aktif'       => $jml_motor_aktif,
            'heboh_pasif'       => $jml_heboh_pasif,
            'motor_pasif'       => $jml_motor_pasif,
            'a_arisanheboh'     => $produk_arisanheboh_aktif,
            'a_arisanmotor'     => $produk_arisanmotor_aktif,
            'p_arisanheboh'     => $produk_arisanheboh_pasif,
            'p_arisanmotor'     => $produk_arisanmotor_pasif,
            'anggota_id'        => $id_anggota,
            'nomor_cadangan'    => $data_nomor_cadangan
        );
        $this->load->view('owner/index', $data);
    }
    public function crud()
    {
        if (isset($_POST['simpanDataKasus'])) :
            // Data Inputan
            $data_inputan = $this->_dataInputanIdentitas();
            $cek_alamat   = $this->_dataAlamatAnggota($data_inputan);
            $this->_validasiNomorHP($data_inputan);
            if ($data_inputan['no_kk'] > 0) :
                if ($data_inputan['no_kk'] != $data_inputan['no_kk_lama']) :
                    $cek_kk = $this->db->get_where('anggota_keluarga', ['nomor_kk' => $data_inputan['no_kk']])->row_array();
                    if ($cek_kk > 0) :
                        $this->insert_model->tambah_detail_anggota_keluarga($data_inputan);
                    else :
                        $this->insert_model->tambah_anggota_keluarga($data_inputan);
                    endif;
                endif;
            endif;
            $this->update_model->updateDataAnggota($data_inputan, $cek_alamat);
            $this->update_model->updateDataAnggotaKK($data_inputan, $cek_alamat);
            $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil merubah data anggota!</div>');
            redirect('owner/identitas/anggota/' . $this->encrypt->encode($data_inputan['id_anggota']));
        endif;
        if (isset($_POST['updateDataAnggota'])) {
            // Data Inputan
            $data_inputan = $this->_dataInputanIdentitas();
            $cek_alamat   = $this->_dataAlamatAnggota($data_inputan);
            $this->_validasiNomorHP($data_inputan);
            if ($data_inputan['no_kk'] > 0) :
                if ($data_inputan['no_kk'] != $data_inputan['no_kk_lama']) :
                    $cek_kk = $this->db->get_where('anggota_keluarga', ['nomor_kk' => $data_inputan['no_kk']])->row_array();
                    if ($cek_kk > 0) :
                        $this->insert_model->tambah_detail_anggota_keluarga($data_inputan);
                    else :
                        $this->insert_model->tambah_anggota_keluarga($data_inputan);
                    endif;
                endif;
            endif;
            $this->update_model->updateDataAnggota($data_inputan, $cek_alamat);
            $this->update_model->updateDataAnggotaKK($data_inputan, $cek_alamat);
            $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil merubah data anggota!</div>');
            redirect('owner/identitas/anggota/' . $this->encrypt->encode($data_inputan['id_anggota']));
        };
    }
    // Ajak Cek NIK Anggota
    public function data_anggota()
    {
        $nik = $this->input->post('nik');
        $identitas_anggota = $this->select_model->getDataAnggota($nik);
        if ($identitas_anggota > 0) :
            echo json_encode($identitas_anggota);
        else :
            $data_new = array(
                'nm_anggota' => '',
                'jk' => 'ok',
                'alamat_lengkap' => '',
                'kode_pos' => '',
                'nm_rt' => 'ok',
                'nm_rw' => 'ok',
                'tempat_lahir' => '',
                'tgl_lahir' =>  '',
                'no_hp' =>  '',
                'pekerjaan' =>  '',
                'suami_istri' =>  '',
                'foto_ktplama' =>  ''
            );
            echo json_encode($data_new);
        endif;
    }
    // Ajak Cek Nomor Urut Anggota
    public function cek_pemenang()
    {
        $nomor_urut = $this->input->post('nomor_urut');
        $jadwal_id  = $this->input->post('jadwal_id');
        $arisan_id  = $this->input->post('arisan_id');
        $cek_bayar = $this->select_model->cariAnggotaSudahBayar($nomor_urut, $arisan_id, $jadwal_id);
        if ($cek_bayar > 0) :
            $data_new = array(
                'stts_anggota' => $cek_bayar['kd_undian'] . ' - ' . $cek_bayar['nm_anggota'] . ' - ' . $cek_bayar['no_hp']
            );
            echo json_encode($data_new);
        else :
            $data_new = array(
                'stts_anggota' => 'Belum Bayar / Sudah Menang / Mengundurkan Diri'
            );
            echo json_encode($data_new);
        endif;
    }
    public function cek_keluarga()
    {
        $nik = $this->input->post('nik');
        $identitas_anggota = $this->select_model->getDataAnggota($nik);
        if ($identitas_anggota > 0) :
            echo json_encode($identitas_anggota);
        else :
            $data_new = array(
                'nm_anggota' => '',
                'no_hp' =>  ''
            );
            echo json_encode($data_new);
        endif;
    }
    public function cek_keluarga_nohp()
    {
        $no_hp = $this->input->post('no_hp');
        $identitas_anggota = $this->select_model->getDataAnggotaNoHp($no_hp);
        if ($identitas_anggota > 0) :
            echo json_encode($identitas_anggota);
        else :
            $data_new = array(
                'nm_anggota' => '',
                'nik' =>  ''
            );
            echo json_encode($data_new);
        endif;
    }
    public function cek_arisan()
    {
        $nik                 = $this->input->post('nik');
        $hitung_inputan      = strlen($nik);
        $cek_nomor           = substr($nik, 1, 1);
        $regist_arisan       = $this->input->post('regist_arisan');
        $cek_jadwal          = $this->db->get_where('p_arisan_jadwal', ['regist_arisan' => $regist_arisan, 'status_undian' => 'BELUM'])->row_array();
        $jadwal_id           = $cek_jadwal['id'];
        if ($hitung_inputan == 16) :
            $identitas_anggota   = $this->select_model->getDataAnggota($nik);
            $anggota_id          = $identitas_anggota['id_anggota'];
            $cek_arisan          = $this->select_model->getDataArisanAnggota($anggota_id, $regist_arisan, $jadwal_id);
            $data_arisan         = $this->select_model->getDataArisanIdentitas($regist_arisan);
            $ttl_tagihan         = count($cek_arisan);
            $iuran               = $data_arisan['tagihan_iuran'];
            $ttl_bayar           = $ttl_tagihan * $iuran;
            if ($identitas_anggota > 0) :
                $data_ajax = array(
                    'ttl_bayar'     => $ttl_bayar,
                    'ttl_tagihan'   => $ttl_tagihan,
                    'iuran_bulanan' => $iuran,
                    'id_anggota'    => $anggota_id
                );
                echo json_encode($data_ajax);
            else :
                $data_ajax = array(
                    'ttl_bayar'     => 'NIK / NO Regist / Anggota',
                    'ttl_tagihan'   => 'Tidak Terdaftar',
                    'iuran_bulanan' => 'Dalam Kelompok Arisan'
                );
                echo json_encode($data_ajax);
            endif;
        else :
            if ($cek_nomor == 8) :
                $identitas_anggota   = $this->select_model->getDataAnggotaNomorHP($nik); // Menampilkan data anggota dengan Nomor HP
                $anggota_id          = $identitas_anggota['id_anggota'];
                $cek_arisan          = $this->select_model->getDataArisanAnggota($anggota_id, $regist_arisan, $jadwal_id);
                $data_arisan         = $this->select_model->getDataArisanIdentitas($regist_arisan);
                $ttl_tagihan         = count($cek_arisan);
                $iuran               = $data_arisan['tagihan_iuran'];
                $ttl_bayar           = $ttl_tagihan * $iuran;
                if ($identitas_anggota > 0) :
                    $data_ajax = array(
                        'ttl_bayar'     => $ttl_bayar,
                        'ttl_tagihan'   => $ttl_tagihan,
                        'iuran_bulanan' => $iuran,
                        'id_anggota'    => $anggota_id
                    );
                    echo json_encode($data_ajax);
                else :
                    $data_ajax = array(
                        'ttl_bayar'     => 'NIK / NO Regist / Anggota',
                        'ttl_tagihan'   => 'Tidak Terdaftar',
                        'iuran_bulanan' => 'Dalam Kelompok Arisan'
                    );
                    echo json_encode($data_ajax);
                endif;
            else :
                $identitas_anggota   = $this->select_model->getDataAnggotaNoUndian($nik); // Menampilkan data anggota dengan Nomor Undian
                $anggota_id          = $identitas_anggota['id_anggota'];
                $cek_arisan          = $this->select_model->getDataArisanAnggota($anggota_id, $regist_arisan, $jadwal_id);
                $data_arisan         = $this->select_model->getDataArisanIdentitas($regist_arisan);
                $ttl_tagihan         = count($cek_arisan);
                $iuran               = $data_arisan['tagihan_iuran'];
                $ttl_bayar           = $ttl_tagihan * $iuran;
                if ($identitas_anggota > 0) :
                    $data_ajax = array(
                        'ttl_bayar'     => $ttl_bayar,
                        'ttl_tagihan'   => $ttl_tagihan,
                        'iuran_bulanan' => $iuran,
                        'id_anggota'    => $anggota_id
                    );
                    echo json_encode($data_ajax);
                else :
                    $data_ajax = array(
                        'ttl_bayar'     => 'NIK / NO Regist / Anggota',
                        'ttl_tagihan'   => 'Tidak Terdaftar',
                        'iuran_bulanan' => 'Dalam Kelompok Arisan'
                    );
                    echo json_encode($data_ajax);
                endif;
            endif;
        endif;
    }
    public function cek_arisan_kasir()
    {
        $nik                 = $this->input->post('nik');
        $hitung_inputan      = strlen($nik);
        $cek_nomor           = substr($nik, 1, 1);
        if ($hitung_inputan == 16) :
            $regist_arisan       = $this->input->post('regist_arisan');
            $identitas_anggota   = $this->select_model->getDataAnggota($nik);
            $id_anggota          = $identitas_anggota['id_anggota'];
            $cek_arisan          = $this->select_model->getDataArisanAnggota($id_anggota, $regist_arisan);
            $data_arisan         = $this->select_model->getDataArisanIdentitas($regist_arisan);
            $ttl_tagihan         = count($cek_arisan);
            $iuran               = $data_arisan['tagihan_iuran'];
            $ttl_bayar           = $ttl_tagihan * $iuran;
            if ($identitas_anggota > 0) :
                $data_ajax = array(
                    'ttl_bayar'     => $ttl_bayar,
                    'ttl_tagihan'   => $ttl_tagihan,
                    'iuran_bulanan' => $iuran,
                    'id_anggota'    => $id_anggota
                );
                echo json_encode($data_ajax);
            else :
                $data_ajax = array(
                    'ttl_bayar'     => 'NIK / NO Regist / Anggota',
                    'ttl_tagihan'   => 'Tidak Terdaftar',
                    'iuran_bulanan' => 'Dalam Kelompok Arisan'
                );
                echo json_encode($data_ajax);
            endif;
        else :
            if ($cek_nomor == 8) :
                $regist_arisan       = $this->input->post('regist_arisan');
                $identitas_anggota   = $this->select_model->getDataAnggotaNomorHP($nik); // Menampilkan data anggota dengan Nomor HP
                $id_anggota          = $identitas_anggota['id_anggota'];
                $cek_arisan          = $this->select_model->getDataArisanAnggota($id_anggota, $regist_arisan);
                $data_arisan         = $this->select_model->getDataArisanIdentitas($regist_arisan);
                $ttl_tagihan         = count($cek_arisan);
                $iuran               = $data_arisan['tagihan_iuran'];
                $ttl_bayar           = $ttl_tagihan * $iuran;
                if ($identitas_anggota > 0) :
                    $data_ajax = array(
                        'ttl_bayar'     => $ttl_bayar,
                        'ttl_tagihan'   => $ttl_tagihan,
                        'iuran_bulanan' => $iuran,
                        'id_anggota'    => $id_anggota
                    );
                    echo json_encode($data_ajax);
                else :
                    $data_ajax = array(
                        'ttl_bayar'     => 'NIK / NO Regist / Anggota',
                        'ttl_tagihan'   => 'Tidak Terdaftar',
                        'iuran_bulanan' => 'Dalam Kelompok Arisan'
                    );
                    echo json_encode($data_ajax);
                endif;
            else :
                $regist_arisan       = $this->input->post('regist_arisan');
                $identitas_anggota   = $this->select_model->getDataAnggotaNoUndian($nik); // Menampilkan data anggota dengan Nomor Undian
                $id_anggota          = $identitas_anggota['id_anggota'];
                $cek_arisan          = $this->select_model->getDataArisanAnggota($id_anggota, $regist_arisan);
                $data_arisan         = $this->select_model->getDataArisanIdentitas($regist_arisan);
                $ttl_tagihan         = count($cek_arisan);
                $iuran               = $data_arisan['tagihan_iuran'];
                $ttl_bayar           = $ttl_tagihan * $iuran;
                if ($identitas_anggota > 0) :
                    $data_ajax = array(
                        'ttl_bayar'     => $ttl_bayar,
                        'ttl_tagihan'   => $ttl_tagihan,
                        'iuran_bulanan' => $iuran,
                        'id_anggota'    => $id_anggota
                    );
                    echo json_encode($data_ajax);
                else :
                    $data_ajax = array(
                        'ttl_bayar'     => 'NIK / NO Regist / Anggota',
                        'ttl_tagihan'   => 'Tidak Terdaftar',
                        'iuran_bulanan' => 'Dalam Kelompok Arisan'
                    );
                    echo json_encode($data_ajax);
                endif;
            endif;
        endif;
    }
    // Data Inputan identitas Anggota
    private function _dataInputanIdentitas()
    {
        $data_inputan = array(
            'id_anggota'     => htmlspecialchars($this->input->post('id_anggota')),
            'nik'            => htmlspecialchars($this->input->post('nik')),
            'no_kk'          => htmlspecialchars($this->input->post('no_kk')),
            'no_kk_lama'     => htmlspecialchars($this->input->post('no_kk_lama')),
            'nm_anggota'     => htmlspecialchars($this->input->post('nm_anggota')),
            'jk'             => htmlspecialchars($this->input->post('jk')),
            'alamat_lengkap' => htmlspecialchars($this->input->post('alamat_lengkap')),
            'kot_kab'        => htmlspecialchars($this->input->post('kota_kabupaten')),
            'nm_kecamatan'   => htmlspecialchars($this->input->post('kecamatan_baru')),
            'nm_desa'        => htmlspecialchars($this->input->post('dk_ds')),
            'nm_rt'          => htmlspecialchars($this->input->post('nm_rt')),
            'nm_rw'          => htmlspecialchars($this->input->post('nm_rw')),
            'tempat_lahir'   => htmlspecialchars($this->input->post('tempat_lahir')),
            'tgl_lahir'      => htmlspecialchars($this->input->post('tgl_lahir')),
            'no_hp'          => htmlspecialchars($this->input->post('no_hp')),
            'no_hp_baru'     => htmlspecialchars($this->input->post('no_hp')),
            'no_hp_lama'     => htmlspecialchars($this->input->post('no_hp_lama')),
            'pekerjaan'      => htmlspecialchars($this->input->post('pekerjaan')),
            'suami_istri'    => htmlspecialchars($this->input->post('suami_istri')),
            'foto_ktp_old'   => htmlspecialchars($this->input->post('foto_ktp_old')),
            'foto_kk_old'    => htmlspecialchars($this->input->post('foto_kk_old'))
        );
        return $data_inputan;
    }
    // Cek alamat anggota
    private function _dataAlamatAnggota($data_inputan)
    {
        $cek_alamat = $this->db->get_where('sistem_alamat', ['kot_kab' => $data_inputan['kot_kab'], 'nm_kecamatan' => $data_inputan['nm_kecamatan'], 'nm_desa' => $data_inputan['nm_desa']])->row_array();
        if ($cek_alamat > 0) :
            $alamat_id = $cek_alamat['id'];
            return $alamat_id;
        else :
            $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Alamat Tidak di Temukan!</div>');
            redirect('owner/identitas/anggota/' . $this->encrypt->encode($data_inputan['id_anggota']));
        endif;
    }
    private function _validasiNomorHP($data_inputan)
    {
        if ($data_inputan['no_hp_baru'] != $data_inputan['no_hp_lama']) :
            $cek_nomor = $this->db->get_where('anggota', ['no_hp' => $data_inputan['no_hp']])->row_array();
            if ($cek_nomor > 0) :
                $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Nomor HP Sudah Di Gunakan Anggota Lain!</div>');
                redirect('owner/identitas/anggota/' . $this->encrypt->encode($data_inputan['id_anggota']));
            endif;
            $cek_nomor_cadangan = $this->db->get_where('anggota_hp_cadangan', ['no_hp' => $data_inputan['no_hp']])->row_array();
            if ($cek_nomor_cadangan > 0) :
                $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Nomor HP Sudah Di Gunakan Anggota Lain!</div>');
                redirect('owner/identitas/anggota/' . $this->encrypt->encode($data_inputan['id_anggota']));
            endif;
        endif;
    }
}

/* End of file ControllerAnggota.php and path \application\controllers\arisan\ControllerAnggota.php */